import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { RouterModule } from '@angular/router';

import {BrowserAnimationsModule} from '@angular/platform-browser/animations';

import {FlexLayoutModule} from "@angular/flex-layout";
import { MatIconModule, MatToolbarModule, MatGridListModule, MatButtonModule, MatSidenavModule, MatListModule, MatCardModule, MatFormFieldModule, MatCheckboxModule, MatInputModule, MatTableModule, MatSelectModule, MatTooltipModule, MatExpansionModule, MatTabsModule, MatNativeDateModule, MatBadgeModule, MatGridList, MatRadioModule, MatDatepickerModule, MatBottomSheetModule } from '@angular/material';
import { ContextualToolbarModule, BackdropModule, FabSpeedDialModule  } from 'nereo-material';

import { AppComponent, ItemBottomSheetComponent } from './app.component';
import { HomeComponent } from './home/home.component';
import { InspectionComponent } from './inspection/inspection.component';
import { ItemComponent } from './item/item.component';
import { ItemsComponent } from './items/items.component';
import { InfoComponent } from './info/info.component';
import { DetailsComponent } from './details/details.component';
import { PackageComponent } from './package/package.component';
import { VerificationComponent } from './verification/verification.component';
import { ResultComponent } from './result/result.component';
import { DocumentsComponent } from './documents/documents.component';

@NgModule({
  declarations: [
    AppComponent,
    HomeComponent,
    InspectionComponent,
    ItemComponent,
    ItemsComponent,
    InfoComponent,
    DetailsComponent,
    PackageComponent,
    VerificationComponent,
    ResultComponent,
    DocumentsComponent,
    ItemBottomSheetComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    FlexLayoutModule,
    MatSidenavModule,
    MatToolbarModule,
    MatButtonModule,  
    MatIconModule, 
    MatListModule,
    MatCardModule,
    MatFormFieldModule,
    MatCheckboxModule,
    MatInputModule,
    MatTableModule,
    MatSelectModule,
    MatTooltipModule,
    MatExpansionModule,
    MatTabsModule,
    MatFormFieldModule,
    MatDatepickerModule,
    MatNativeDateModule,
    MatBadgeModule,
    MatGridListModule,
    ContextualToolbarModule,
    BackdropModule,
    FabSpeedDialModule, 
    MatRadioModule,
    MatBottomSheetModule,
    RouterModule.forRoot([
      {
        path: 'home',
        component: HomeComponent
      },
      {
        path: 'inspection',
        component: InspectionComponent,
        children: [
          {path: '', redirectTo: 'general-info', pathMatch: 'full'},
          {path: 'general-info', component: InfoComponent},
          {path: 'details', component: DetailsComponent},
          {path: 'documents', component: DocumentsComponent},
          {path: 'packaging', component: PackageComponent},
          {path: 'items', component: ItemsComponent},
          {path: 'verification', component: VerificationComponent},
          {path: 'result', component: ResultComponent}
        ]
      },
      { 
        path: 'item',
        component: ItemComponent
      },
      {
        path: '',
        redirectTo: '/home',
        pathMatch: 'full'
      },
    ])
  ],
  providers: [],
  bootstrap: [AppComponent],
  entryComponents: [ItemBottomSheetComponent]
})
export class AppModule { }
